function prehravani(hObject, eventdata, handles)
%PREHRAVANI Volani funkce pro vykresleni srdecni osy podle nahranych dat

%zjisteni nactenych dat
hodnota = get(handles.checkbox1,'Value');
cesta_k_souboru = get(handles.text2,'String');
if isempty(cesta_k_souboru)    
        [data,mov] = nacteni_vyberu(hObject, eventdata, handles);
        dat=data;
else
        data = importdata(cesta_k_souboru);
        dat=data;
end
cla(handles.axes4);
cla(handles.axes5);

[polohy_R,hodnoty_R] = R_detector(data);
[kolisani,vysledek] = filtr_izo(polohy_R, hodnoty_R, data);
[pozice_vychylky,vychylky,polohy_Q,polohy_S,hodnoty_Q,hodnoty_S] = reprezent_vychylka(polohy_R,hodnoty_R,kolisani,data);

casy_vychylky=pozice_vychylky.I/500;

for e=1:(length(casy_vychylky)-1)
    pauzy(e)=casy_vychylky(e+1)-casy_vychylky(e);
end

%volani funkce vykresleni_osy
[bod_x, bod_y, uhly, delka_osy]=vykresleni_osy(hObject, eventdata, handles, vychylky);


if hodnota==1
    data(:,2)=vysledek.I;
    data(:,4)=vysledek.II;
    data(:,3)=vysledek.III;
end

%volani funkce vykresleni
vykresleni(hObject, eventdata, handles, data);

if isempty(cesta_k_souboru)
    video(hObject, eventdata, handles, vychylky,casy_vychylky,bod_x, bod_y, uhly,pauzy,delka_osy,mov);
else
    cla(handles.axes4);
    bez_videa(hObject, eventdata, handles,vychylky,casy_vychylky,bod_x, bod_y, uhly,pauzy,delka_osy);
end

end

